Subject: Re: [next] WARNING: CPU: 2 PID: 66 at kernel/locking/rwsem.c:1298 __up_read

From: Boris Brezillon <[email-masked]>
Date: Thu, 2 Dec 2021 14:19:58 +0100

On Thu, 2 Dec 2021 13:28:46 +0100
Anders Roxell <[email-masked]> wrote:

> On Tue, 30 Nov 2021 at 18:01, Naresh Kamboju <[email-masked]> wrote:
> >
> > [Please ignore this email if it is already reported]
> >
> > Regression found on qemu_arm64.
> > Following kernel warnings reported on Linux next-20211130 while booting.  
> 
> I bisected down to 1ebe2e5f9d68 ("block: remove GENHD_FL_EXT_DEVT")
> 
> and when I reverted 1ebe2e5f9d68 ("block: remove GENHD_FL_EXT_DEVT") and the
> 3 releated patches so patch 1ebe2e5f9d68 was reverted cleanly I
> managed to boot without
> a warning.
> 
> Related patches from next-20211130:
> 9f18db572c97 ("block: don't set GENHD_FL_NO_PART for hidden gendisks")
> 430cc5d3ab4d ("block: cleanup the GENHD_FL_* definitions")
> a4561f9fccc5 ("sr: set GENHD_FL_REMOVABLE earlier")
> 
> With this said, if I revert 9d6abd489e70 ("mtd: core: protect access
> to MTD devices while in suspend")
> I didn't see the warning either.

I think 9d6abd489e70 ("mtd: core: protect access to MTD devices while
in suspend") is at fault here. Miquel, would you mind
reverting/dropping the "mtd: core: protect access to mtd devices while
in  suspend" series?

> 
> Any idea what can be wrong here or what a fix could be?
> 
> Only apply this patch from Geert
> https://lore.kernel.org/lkml/c26df[email-masked]/
> makes the warning go away too.
> 
> Cheers,
> Anders